{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    <br>
    <div class="row">    
        <div class="col s12 m12 l6">
            <br>
            <div class="slider">
                <ul class="slides">
    
                    {% for imagen in object.producto_imagenes.all %}
                    <li>
                        <img src="/media/{{imagen.imagen}}" style="
                        max-width: 100%;
                        width: 100%;"> <!-- random image -->
                        <div class="caption center-align">
                            <!--<h5 class="light grey-text text-lighten-3" >{{imagen.descripcionImagen}}</h5>-->
                        </div>
                    </li>
                    {% endfor %}
            
                </ul>
            </div>
            <br>
        </div>
    
        <div class="col s12 m12 l6">    
            <h5>
                {{object.nombreProducto}}
            </h5>
            <p><b>Código de fabricante: </b>{{object.codigoFabricante}} <br>
                <b>Clave de producto: </b>{{object.claveProducto}}
                <div class="card-panel light-blue darken white-text col s3" >
                    <h6 style="text-align: center;">$ {{ object.precio|stringformat:".2f" }}</h6>
                </div>
            </p>
            <ul class="collection col s12">
                <li class="collection-item">
                    <p><b>Marca: </b>{{object.marca.nombreMarca}} <br>
                        <b>Categoría: </b>{{object.categoria.nombreCategoria}}<br>
                        <b>Garantia:</b> <br>
                    Día(s): {{object.diaGarantia}}
                    Mes(es): {{object.mesGarantia}}
                    Año(s): {{object.anioGarantia}}<br>
                    <b>Promociones: </b>{{object.promos}}<br>
                    <b>Publicado: </b>{{object.marca.creado}}<br>
                    <b>Actualizado: </b>{{object.marca.actualizado}}</p>
                </li>
            </ul>
            {% if request.user.is_authenticated %}
            <div class="col s12">
                <form action="{% url 'anadir_carrito' %}" method="POST">
                    {% csrf_token %}
                    <input type="hidden" name="usuario" value="{{request.user.pk}}">
                    <input type="hidden" name="producto" value="{{object.pk}}">
                    <input type="hidden" name="precio" value="{{object.precio|stringformat:".2f"}}">

                    <div class="input-field col s3">
                        <input type="number" name="cantidad" value="" min="1" max="100">
                        <label>Cantidad</label>
                    </div>
                        
                    <input type="hidden" name="direccion" value="Por definir.">

                    <button class="waves-effect waves-light btn-large col s8 push-s1">
                        Añadir a carrito 
                    </button>
                </form>

                <ul>
                </ul>
            </div>
            {% endif %}
        </div>
    </div>
    
    <h5>Descripción:</h5>
    <ul class="collection">
        <li class="collection-item">
            <p style="text-align: justify;">
                {{object.descripcionProducto}}
            </p>
        </li>
    </ul>
    <h5>Comentarios:</h5>
    <ul class="collection">
        {% for comentario in object.producto_comentarios.all %}
            <li class="collection-item">
                <span class="title"></span>
                <p>
                    <b>{{comentario.comentario}}</b>
                    <br>
                    {{comentario.nombreUComentario}} -  {{comentario.creado}}
                </p>
            </li>
        {% empty %}
            <li class="collection-item">
                <span class="title"></span>
                <p>
                    Sé el/la primero/a en comentar.
                </p>
            </li>
        {% endfor %}
    </ul>
    <br>

    <h5>Escríbenos</h5>
    <br>
    <form class="col s12" method="POST" action="{% url 'crear_comentario' %}">
        {% csrf_token %}
        <div class="input-field col s6">
            <i class="material-icons prefix">account_circle</i>
            <input id="name" type="text" class="validate" name="nombreUComentario">
            <label for="name">Nombre</label>
        </div>

        <input type="hidden" name="producto" value="{{object.pk}}">

        <div class="row">
            <div class="input-field col s8 m9 l10">
                <i class="material-icons prefix">textsms</i>
                <textarea id="icon_prefix2" class="materialize-textarea" name="comentario"></textarea>
                <label for="icon_prefix2">Comentario</label>
            </div>
            <div class="input-field col s4 m3 l2">
                <button class="waves-effect waves-light btn-large">
                    Comentar
                </button>
            </div>
        </div>
    </form>

</div>
{% endblock contenido %}